[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

RE: upgrade error testing powermgmt-base_1.17_i386.deb


I found help via libranet's forum:

I'm posting this message for others that are having the same problem.  

Posted: Sat Oct 18, 2003 3:12 am    Post subject: powermgmt-base_1.17_i386.deb upgrade error Libranet 2.8.1  	

Before I forget, I'm posting this message to help others who will have this same failure when upgrading Libranet 2.8 and 2.8.1 to the latest testing (Sarge) software via the Internet. Please read on if you are experiencing the same problem:

Source: <http://forum.libranet.com/viewtopic.php?p=11089&highlight=#11089>
[by Tyro]


I contacted Chris Hanson, the maintainer for powermgmt-base and he informed me that it is a problem with module-init-tools, not with powermgmt-base. He directed me towards bug report #212928. As mentioned there, he told me that the unstable version of module-init-tools fixes this problem.

1. Download module-init-tools (save it to to /tmp) from here:
2. Become super-user and move into /tmp directory:
"su -"
"cd /tmp"
3. Install module-init-tools:
"dpkg -i module-init-tools_0.9.15-pre2-2_i386.deb"
4. Rerun your apt-get upgrade or apt-get dist-upgrade command to finish your upgrade to the latest Sarge software.

This will install this package and therefore solve the original problem with powermgmt-base erroring out during the upgrade.

Note, emacs will also cause failure. My solution was to dump the damned Emacs packages. I'll post a seperate message for the Emacs upgrade failures.

I hope this helps. Thanks Tyro!

Wishing you well.
--end quote--

Also note, both the ftp location may change as well as module-init-tools version.  Therefore, use the search feature on debian's site to locate the latest module-init-tools, download and proceed as mentioned above.

Good luck to you!

---orginal message---

I have Sarge installed, but today I did an dist-upgrade and powermgmt-base continues to kill the upgrade.  I have tried doing dist-upgrade -f and still errors out.  I can't remove it since it will wipe out gnome.  Anyone know a way I can make this evil package be nice to me and install, letting the rest of the 800+ packages install?

root@billybox:~# dist-upgrade -f
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages have been kept back
  lilo snake4
The following packages will be upgraded
  alsaconf dillo fam fb-music-high frozen-bubble frozen-bubble-data gfontview gtksee itcl3.0 jpilot libavc1394-0 libdc1394-9
  liblircclient0 libsmbclient mgapdesk nmap pia powermgmt-base sawfish sawfish-themes scantv statserial tkdesk tkpaint
  v4l-conf wipe wordinspect x86info xawtv xawtv-plugins xmms-status-plugin xtide xtide-data xtv xvmount xxdiff xzoom yank zip
40 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
756 not fully installed or removed.
Need to get 0B/22.4MB of archives.
After unpacking 3415kB disk space will be freed.
Preconfiguring packages ...
(Reading database ... 154689 files and directories currently installed.)
Preparing to replace powermgmt-base 1.6 (using .../powermgmt-base_1.17_i386.deb) ...
Unpacking replacement powermgmt-base ...
Architecture-specific modutils configuration not found
cat: /etc/modprobe.d//dev/null: No such file or directory
dpkg: warning - old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
cat: /etc/modprobe.d//dev/null: No such file or directory
dpkg: error processing /var/cache/apt/archives/powermgmt-base_1.17_i386.deb (--unpack):
 subprocess new post-removal script returned error exit status 1
cat: /etc/modprobe.d//dev/null: No such file or directory
dpkg: error while cleaning up:
 subprocess post-removal script returned error exit status 1
Preparing to replace sawfish 1:1.3-1 (using .../sawfish_1%3a1.3-5_i386.deb) ...
Unpacking replacement sawfish ...
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

TIA.  Wishing you well.

Linux.Net -->Open Source to everyone
Powered by Linare Corporation

Reply to: